kernel: Fix kmod-w1 dependency on hwmon-core for 4.19
authorPetr Štetiar <ynezz@true.cz>
Tue, 18 Dec 2018 10:07:28 +0000 (11:07 +0100)
committerHauke Mehrtens <hauke@hauke-m.de>
Thu, 3 Jan 2019 17:05:47 +0000 (18:05 +0100)
kmod-w1 depends on kmod-hwmon-core since Linux 4.14

Signed-off-by: Petr Štetiar <ynezz@true.cz>
package/kernel/linux/modules/w1.mk

index e936a28..baf6b06 100644 (file)
@@ -14,7 +14,7 @@ define KernelPackage/w1
   TITLE:=Dallas's 1-wire support
   KCONFIG:=CONFIG_W1
   FILES:=$(LINUX_DIR)/drivers/w1/wire.ko
-  DEPENDS:=+LINUX_4_14:kmod-hwmon-core
+  DEPENDS:=+!(LINUX_3_18||LINUX_4_9):kmod-hwmon-core
 endef
 
 define KernelPackage/w1/description